#include <stdio.h>
int main() {
  char ch0, ch1, ch2, ch3;
  ch0 = "abc"[0];
  ch1 = "abc"[1];
  ch2 = "abc"[2];
  ch3 = "abc"[3];
  printf("%c\n", ch0);
  printf("%p", &ch0);
  printf("\n\n");
  printf("%c\n", ch1);
  printf("%p", &ch1);
  printf("\n\n");
  printf("%c\n", ch2);
  printf("%p", &ch2);
  printf("\n\n");
  printf("%c\n", ch3);
  printf("%p", &ch3);
}
